Data Fields

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - i -

- i : id_node_t
- i1d : data_t
- i_coal_drift : ppincl
- i_dist : cs_mesh_quantities_t
- i_face_cells : cs_mesh_t
- i_face_cog : cs_mesh_quantities_t
- i_face_family : cs_mesh_t
- i_face_normal : cs_mesh_quantities_t
- i_face_numbering : cs_mesh_t
- i_face_surf : cs_mesh_quantities_t
- i_face_vtx_connect_size : cs_mesh_t
- i_face_vtx_idx : cs_mesh_t
- i_face_vtx_lst : cs_mesh_t
- i_quadrature : radiat
- iabs : radiat
- iactfv : lagran
- iactts : lagran
- iactvx : lagran
- iactvy : lagran
- iactvz : lagran
- iaeeri : ctincl
- iaeerp : ctincl
- iaeros : ppincl
- iaerosol : siream
- iagecp_temp : ppincl
- iaggas_temp : ppincl
- ial : numvar
- iale : albase
- ialtyb : albase
- iampl : coincl
- iang : lagran
- iangbd : lagran
- iash : cpincl
- iatc : ppthch
- iath : ppthch
- iatmos : ppincl
- iatn : ppthch
- iato : ppthch
- iatra1 : atincl
- iats : ppthch
- iatsoil : atincl
- ibcarbone : ppincl
- ibeta : numvar
- ibfixe : paramx
- ibhydrogen : ppincl
- iboxygen : ppincl
- ibrom : numvar
- ibrpr : elincl
- ibrsec : elincl
- ibym : ppincl
- icak : radiat
- icalhy : optcal
- icalke : cs_boundary_t , ppincl
- icas : vorinc
- iccoal : ppincl
- iccvfg : optcal
- icdpar : optcal
- icdtmo : optcal
- icelbr : mesh
- icepdc : pointe
- icetsm : pointe
- icfgrp : ppincl
- icfuel : ppincl
- ich : cpincl
- ichcor : cpincl
- ichemistry : atchem
- ichrvr : entsor
- ichrze : ctincl
- ichx1 : cpincl
- ichx1c : cpincl
- ichx1f1 : cpincl
- ichx2 : cpincl
- ichx2c : cpincl
- ichx2f2 : cpincl
- ick : cpincl
- ickabs : ppincl
- iclaq : elincl
- iclkep : optcal
- iclogst : lagran
- iclptr : optcal
- iclrtp : numvar
- iclst : lagran
- iclsyr : optcal
- iclt1d : pointe
- iclvfl : optcal
- iclvor : vorinc
- icm : cs_join_param_t , ppincl
- icmome : optcal
- icnohc : ppcpfu
- icnonh : ppcpfu
- icnorb : ppcpfu
- ico : cpincl
- ico2 : cpincl
- icoag_siream : siream
- icobml : ppincl
- icocel : pointe
- icod3p : ppincl
- icodeq : ppincl
- icoebu : ppincl
- icoef : numvar
- icoefc : numvar
- icoeff : numvar
- icoefr : numvar
- icof1 : cpincl
- icof2 : cpincl
- icolwc : ppincl
- icompf : ppincl
- icond : optcal
- icond_siream : siream
- iconv : cs_c_bindings::var_cal_opt , cs_var_cal_opt_t , optcal
- icorio : cstphy
- icormx : cplsat
- icour : numvar
- icoyfp : ppincl
- icp : numvar
- icp2m : ppincl
- icpa : numvar
- icpext : optcal
- icpl3c : ppincl
- icpsyr : optcal
- icpt : lagran
- icrom : numvar
- icscpl : paramx
- icut_siream : siream
- icv : ppincl
- icvfli : cfpoin
- icvmax : vorinc
- icvor : vorinc
- icvor2 : vorinc
- id : cs_field_t , cs_measures_set_t , cs_interpol_grid_t , node_type_t
- idebt : lagran
- idebty : optcal
- idepfa : lagpar
- idepo1 : lagpar
- idepo2 : lagpar
- idepst : lagran
- idepvo : vorinc
- idespgi : atchem
- ideuch : optcal
- idfmom : optcal
- idfstr : pointe
- idften : cs_c_bindings::var_cal_opt , cs_var_cal_opt_t , optcal
- idgmom : optcal
- idiam2 : ppincl
- idiff : cs_c_bindings::var_cal_opt , cs_var_cal_opt_t , optcal
- idiffl : lagran
- idifft : cs_c_bindings::var_cal_opt , cs_var_cal_opt_t , optcal
- idifre : optcal
- idilat : optcal
- idircl : optcal
- idirla : lagran
- idistu : lagran
- idiver : radiat
- idji : ppincl
- idjr : ppincl
- idlvo : lagran
- idpt : lagran
- idpvar : lagran
- idrad : ppincl
- idrayi : atincl
- idrayst : atincl
- idreca : elincl
- idries : optcal
- idstnt : lagran
- idtmom : optcal
- idtten : numvar
- idtvar : optcal
- iecaux : optcal
- iefjou : ppincl
- ielarc : ppincl
- ielcor : elincl
- ielecb : elincl
- ielecc : elincl
- ielect : elincl
- ielion : ppincl
- ieljou : ppincl
- ielneu : elincl
- ielph1 : elincl
- ielph2 : elincl
- ielph3 : elincl
- iemi : radiat
- iencck : lagran
- iencckbd : lagran
- iencdi : lagran
- iencdibd : lagran
- iencma : lagran
- iencmabd : lagran
- iencnb : lagran
- iencnbbd : lagran
- iencra : lagran
- iencrl : lagpar
- ienerg : ppincl
- iensi3 : lagran
- ientat : cpincl , cs_boundary_t
- ientcp : cpincl , cs_boundary_t
- ientfl : cs_fuel_incl
- ientfu : coincl , cs_boundary_t
- ientgb : coincl , cs_boundary_t
- ientgf : coincl , cs_boundary_t
- ientm1 : elincl
- ientox : coincl , cs_boundary_t
- ientre : paramx
- ientrl : lagpar
- ieos : ppincl
- iep : numvar
- iepa : radiat
- iepap : radiat
- iephcf : paramx
- ieps : radiat
- iepsi : lagran
- iepsp : radiat
- ieqco2 : ppcpfu
- ieqhcf : paramx
- ieqnox : ppcpfu
- ierr : lagran
- iescal : optcal
- iescor : paramx
- iesder : paramx
- iesicf : paramx
- iespre : paramx
- iestim : numvar
- iestot : paramx
- if1m : ppincl
- if1mc : cpincl
- if2m : ppincl
- if2mc : cpincl
- if3m : ppincl
- if3mc2 : ppincl
- if4m : ppincl
- if4p2m : ppincl
- if5m : ppincl
- if6m : ppincl
- if7m : ppincl
- if8m : ppincl
- if9m : ppincl
- ifabor : mesh
- ifaccp : cplsat
- ifacel : mesh
- ifacgl : vorinc
- ifapat : pointe
- ifb : numvar
- ifbet : cfpoin
- ifconp : radiat
- ifconv : radiat
- ifgrno : radiat
- ifhcnc : ppcpfu
- ifhcnd : ppcpfu
- ifhcnr : ppcpfu
- ifilechemistry : atchem
- ifinty : optcal
- iflm : lagran
- iflmbd : lagran
- ifltur : optcal
- ifluaa : numvar
- iflxmw : optcal
- ifm : ppincl
- ifmal : coincl
- ifmax : ppincl
- ifmcel : mesh
- ifmel : coincl
- ifmfbr : mesh
- ifmin : ppincl
- ifnet : radiat
- ifnetp : radiat
- ifnh3c : ppcpfu
- ifnh3d : ppcpfu
- ifnoch : ppcpfu
- ifnohc : ppcpfu
- ifnonh : ppcpfu
- ifnoth : ppcpfu
- ifo0 : cs_fuel_incl
- ifol : cs_fuel_incl
- iforas : alaste
- ifour : numvar
- ifov : cs_fuel_incl
- ifp2m : ppincl
- ifpcpm : ppincl
- ifpt1d : pointe
- ifrefl : radiat
- ifrent : paramx
- ifresf : paramx
- ifrlag : pointe
- ifrmch : lagran
- ifrmck : lagran
- ifrmwt : lagran
- ifsm : ppincl
- ifvap : ppincl
- ifvp2m : ppincl
- ighcn1 : ppcpfu
- ighcn2 : ppcpfu
- ighco2 : ppincl
- ighh2o : cs_coal_incl
- igliss : paramx
- igmdch : ppincl
- igmdv1 : ppincl
- igmdv2 : ppincl
- igmeva : ppincl
- igmhet : ppincl
- igmhtf : ppincl
- igmsec : ppincl
- ignh31 : ppcpfu
- ignh32 : ppcpfu
- ignoth : ppcpfu
- igrake : optcal
- igrari : optcal
- igrb : ppcpfu
- igrdpp : ppincl
- igrhok : optcal
- igrid : atincl
- igrper : period
- ih1hlf : ppincl
- ih2 : ppincl
- ih2o : cpincl
- ih2of1 : cpincl
- ih2of2 : cpincl
- ih2s : ppcpfu
- ih2sf1 : cpincl
- ih2sf2 : cpincl
- ihcn : ppcpfu
- ihcnf1 : cpincl
- ihcnf2 : cpincl
- ihconp : radiat
- ihconv : radiat
- ihhhh : coincl
- ihistr : entsor
- ihisvr : entsor
- ihlf : ppincl
- ihm : ppincl
- ihox : ppcpfu
- ihpm : atincl
- ihpt : lagran
- ihslag : lagran
- ihtco2 : ppcpfu
- ihth2o : cs_coal_incl
- ihumid : ppincl
- ihy : ppcpfu
- iifren : optcal
- iifrla : lagran
- iihmpr : ihmpre
- iilagr : lagran
- iimlum : radiat
- iimpar : radiat
- iindef : paramx
- iirayo : radiat
- ijfre : lagran
- ijnbp : lagran
- ijprdp : lagran
- ijprpd : lagran
- ijprtp : lagran
- ijuvw : lagran
- ik : numvar
- ikecou : optcal
- ikelv_siream : siream
- ikf : cs_fuel_incl
- ilapla : ppincl
- ilapoi : lagran
- ildck : lagran
- ildp : lagran
- ileaux : optcal
- ilflag : lagran
- ilfv : lagran
- ilhp : lagran
- iliqwt : atincl
- ilisr0 : cs_opts_t
- ilisrp : cs_opts_t
- ilisvr : entsor
- ilmch : lagran
- ilmck : lagran
- ilmp : lagran
- ilmwat : lagran
- ilogpo : optcal
- ilpd : lagran
- iltp : lagran
- ilts : lagran
- ilumin : radiat
- ilvu : lagran
- ilvx : lagran
- ilvy : lagran
- ilvz : lagran
- ilzppp : ppincl
- ilzrad : radiat
- imajcp : cplsat
- imajdy : optcal
- imam : coincl
- imaml : coincl
- imdnox : ppcpfu
- imeteo : atincl
- imgr : optcal
- imgrpy : optcal
- imligr : optcal , cs_c_bindings::var_cal_opt , cs_var_cal_opt_t
- imligy : optcal
- immel : ppincl
- imobil : cplsat
- imodak : radiat
- imoold : optcal
- imoybr : lagran
- impale : albase
- impdvo : entsor
- impfpp : entsor
- impla1 : entsor
- impla2 : entsor
- impla3 : entsor
- impla4 : entsor
- impla5 : entsor
- implal : entsor
- impmea : siream
- impmec : atchem
- impmet : entsor
- impmvo : entsor
- impsth : entsor
- impush : entsor
- impusr : entsor
- impvar : lagran
- impvvo : entsor
- imrgra : optcal
- imvisf : optcal
- in2 : cpincl
- inbaei : ctincl
- inbr : lagran
- inbrbd : lagran
- inc : cs_var_cal_opt_t , cs_c_bindings::var_cal_opt
- inclg : lagran
- index : cs_halo_t
- index_id : cs_io_sec_header_t
- indjon : entsor
- indsol : atsoil
- ineedf : optcal
- ineedy : optcal
- inf_radius : cs_measures_set_t
- info_mask : fvm_writer_format_t
- ing : ppincl
- inh3 : ppcpfu
- init_aerosols() : siream
- init_ale() : albase
- init_at_chem : atincl
- init_aux_arrays() : pointe
- init_chemistry() : atchem
- init_compf() : cfpoin
- init_elec() : elincl
- init_fortran_omp() : parall
- init_func : fvm_writer_format_t
- init_kpdc() : pointe
- init_meteo() : atincl
- init_pt1d() : pointe
- init_quadrature() : radiat
- init_tsma() : pointe
- init_user_module() : user_module
- init_vortex() : vorinc
- init_zone_class_param() : lagran
- initcp : optcal
- initial_diam : cs_lagr_particle_t
- initmeteo : atincl
- initro : optcal
- initvi : optcal
- initvo : vorinc
- initvs : optcal
- injcon : lagran
- inmoxy : cs_boundary_t , ppcpfu
- inogaseouschemistry : siream
- inp : ppincl
- inpdt0 : optcal
- inpm : ppincl
- intdrp : atincl
- interf : cs_lagr_particle_t
- interleaved : cs_field_t , cs_measures_set_t
- interp1d : node_type_t
- inuchl : lagran
- inucl_siream : siream
- inusa : numvar
- io2 : cpincl
- iochet : cpincl
- ioetc2 : cpincl
- ioetwt : cpincl
- iofhet : cs_fuel_incl
- iomg : numvar
- iomplb : parall
- iompli : parall
- ionic_strength : cs_lagr_clog_param_t
- iortvm : albase
- iparoi : paramx
- iparug : paramx
- ipci : cs_coal_incl
- iperio : period
- iperot : period
- ipgrno : radiat
- iphi : numvar
- iphotolysis : atchem
- iphpar : ppincl
- iphydr : optcal
- iphyla : lagran
- iplar : lagran
- iplas : lagran
- ipnfac : mesh
- ipnfbr : mesh
- ipoit : lagran
- iporos : optcal
- ipoti : ppincl
- ipotr : ppincl
- ipotva : ppincl
- ippdt : entsor
- ippmod : ppincl
- ipppro : entsor
- ippred : ppincl
- ipproc : numvar
- ipprtp : entsor
- ipptx : entsor
- ippty : entsor
- ipptz : entsor
- ipr : numvar
- iprco : optcal
- iprefl : radiat
- iprofa : siream
- iprofc : atchem
- iprofm : atincl
- iprpfl : numvar
- iprtot : numvar
- ipstdv : entsor
- ipstfo : entsor
- ipstft : entsor
- ipstnu : entsor
- ipsttb : entsor
- ipsttp : entsor
- ipstyp : entsor
- iptlro : optcal
- ipucou : optcal
- iqelec : ppincl
- iqimp : ppincl , cs_boundary_t
- iqinci : radiat
- iqincp : radiat
- iqv0 : atincl
- iqx : radiat
- iqy : radiat
- iqz : radiat
- ir11 : numvar
- ir12 : numvar
- ir13 : numvar
- ir22 : numvar
- ir23 : numvar
- ir33 : numvar
- irangp : parall
- irawcl : lagran
- irayvf : radiat
- irb : ppcpfu
- irccor : optcal
- ircflu : cs_c_bindings::var_cal_opt , optcal , cs_var_cal_opt_t
- ircfly : optcal
- ird0p : lagran
- irdck : lagran
- irebol : lagpar
- iredist_siream : siream
- ireent : lagran
- irepvo : vorinc
- iresol : optcal
- irevmc : optcal
- irhock0 : lagran
- irhol : coincl
- irijec : optcal
- irijnu : optcal
- irijrb : optcal
- irnpnw : optcal
- iroext : optcal
- irom : numvar
- irom1 : ppincl
- irom2 : ppincl
- iroma : numvar
- iropt : lagran
- irot : cstphy
- irotce : turbomachinery
- iroule : lagran
- irovar : optcal
- irun : ppincl
- irunh : ppincl
- is_connect : cs_interpol_grid_t
- is_cressman : cs_measures_set_t
- is_interpol : cs_measures_set_t
- is_owner : cs_field_t
- isca : numvar
- iscacp : optcal
- iscalt : optcal
- iscapp : numvar
- iscasp : optcal
- iscavr : optcal
- ischcv : cs_c_bindings::var_cal_opt , optcal , cs_var_cal_opt_t
- ischcy : optcal
- ischtp : optcal
- iscold : optcal
- iscovc : lagran
- isepchemistry : atchem
- isgmvo : vorinc
- ismago : numvar
- isno2t : optcal
- iso2 : ppcpfu
- isolib : paramx
- isoot : ppincl
- isopcf : paramx
- isortl : lagpar
- isso2t : optcal
- isspcf : paramx
- isstpc : cs_c_bindings::var_cal_opt , cs_var_cal_opt_t , optcal
- isstpy : optcal
- istala : lagran
- istat : cs_var_cal_opt_t , cs_c_bindings::var_cal_opt , optcal
- istmpf : optcal
- isto2t : optcal
- istpp1 : radiat
- isttio : lagran
- isuict : optcal
- isuila : lagran
- isuird : radiat
- isuist : lagran
- isuisy : optcal
- isuit1 : optcal
- isuite : optcal
- isuivo : optcal
- isulfcond_siream : siream
- iswdyn : cs_var_cal_opt_t , cs_c_bindings::var_cal_opt , optcal
- isymet : paramx
- isympa : mesh
- isymtl : lagpar
- it3m : ppincl
- it4m : ppincl
- itaire : ppcpfu
- italin : albase
- itbrrb : optcal
- iteml : coincl
- itemp : ppincl
- itemp1 : ppincl
- itemp2 : ppincl
- itemp4 : ppincl
- itempc : atincl
- itempk : ppincl
- itepa : pointe
- itern_siream : siream
- itherm : optcal
- ithrm_siream : siream
- ithvar : cfpoin
- itlivo : vorinc
- itotwt : atincl
- itparo : radiat
- itparp : radiat
- itpimp : radiat
- itpscl : optcal
- itpt : lagran
- itpvar : lagran
- itrgrv() : cs_f_interfaces::itrgrv
- itrifb : pointe
- itrmav() : cs_f_interfaces::itrmav
- itrsvr : entsor
- itsc : ppincl
- itscl : coincl
- itsco : lagran
- itsfp4 : lagran
- itske : lagran
- itsli : lagran
- itsmas : lagran
- itsmv1 : lagran
- itsmv2 : lagran
- itsnsa : numvar
- itsr11 : lagran
- itsr12 : lagran
- itsr13 : lagran
- itsr22 : lagran
- itsr23 : lagran
- itsr33 : lagran
- itsre : radiat
- itsrho : numvar
- itsri : radiat
- itssca : numvar
- itste : lagran
- itsti : lagran
- itstua : numvar
- itsvx : lagran
- itsvy : lagran
- itsvz : lagran
- iturb : optcal
- iturbo : turbomachinery
- iturcp : cplsat
- iturt : optcal
- itycel : pointe
- itycor : optcal
- itype : cs_boundary_t
- itypfb : pointe
- itypsm : pointe
- itytur : optcal
- ityturt : optcal
- iu : numvar
- iuma : numvar
- iuno : lagran
- iupt : lagran
- iusb : lagran
- iusclb : lagran
- iusini : optcal
- iuslag : lagran
- iusmoy : lagran
- iusncl : lagran
- iustdy : numvar
- iv : numvar
- ivarfl : numvar
- ivdpt : lagran
- ivectb : parall
- ivecti : parall
- ivert : atincl
- iviext : optcal
- ivimpo : paramx
- ivisch : lagran
- ivisck : lagran
- iviscl : numvar
- ivisct : numvar
- iviscv : ppincl
- ivisdk : lagran
- ivisdm : lagran
- ivisla : numvar
- ivisls : optcal
- ivisma : numvar
- ivismp : lagran
- ivissa : optcal
- ivisse : optcal
- ivista : numvar
- iviste : lagran
- ivistp : lagran
- ivisv1 : lagran
- ivisv2 : lagran
- iviswat : lagran
- ivit : lagran
- ivitbd : lagran
- ivivar : optcal
- ivma : numvar
- ivoid1 : pointe
- ivoid2 : pointe
- ivorce : vorinc
- ivpt : lagran
- ivrtex : optcal
- ivsext : optcal
- iw : numvar
- iwallt : optcal
- iwarni : cs_var_cal_opt_t , entsor , cs_c_bindings::var_cal_opt
- iwarny : optcal
- iwat : cpincl
- iwma : numvar
- iwork : user_module
- iwpt : lagran
- ix1mc : cpincl
- ix2 : ppincl
- ix2mc : cpincl
- ixch : ppincl
- ixck : ppincl
- ixfol : ppincl
- ixkabe : elincl
- ixkf : ppincl
- ixlam : radiat
- ixlamp : radiat
- ixwt : ppincl
- ixyzp0 : cstphy
- iy1ch : cpincl
- iy2ch : cpincl
- iyco2 : ppcpfu
- iycoel : ppincl
- iyfm : ppincl
- iyfol : ppincl
- iyfp2m : ppincl
- iygfm : ppincl
- iyhcn : ppcpfu
- iym : ppincl
- iym1 : ppincl
- iymion : ppincl
- iynh3 : ppcpfu
- iyno : ppcpfu
- izcpdc : pointe
- izctsm : pointe
- izfppp : pointe
- izfrad : pointe
- izft1d : pointe
- izreca : elincl